Bug 1576261 (CVE-2018-5160) - CVE-2018-5160 Mozilla: Uninitialized memory use by WebRTC encoder
Summary: CVE-2018-5160 Mozilla: Uninitialized memory use by WebRTC encoder
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-5160
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1573375
TreeView+ depends on / blocked
 
Reported: 2018-05-09 07:13 UTC by Doran Moppert
Modified: 2021-02-17 00:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:21:58 UTC


Attachments (Terms of Use)

Description Doran Moppert 2018-05-09 07:13:11 UTC
WebRTC can use a `WrappedI420Buffer` pixel buffer but the owning image object can be freed while it is still in use. This can result in the WebRTC encoder using uninitialized memory, leading to a potentially exploitable crash.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-11/#CVE-2018-5160

Comment 1 Doran Moppert 2018-05-09 07:13:16 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Andreas Perhson


Note You need to log in before you can comment on or make changes to this bug.